{ pkgs, ... }: {
  nixpkgs = { config = { allowUnfree = true; }; };

  services.nix-daemon.enable = true;
  nix.settings.experimental-features = "nix-command flakes";

  users.users.lu = {
    name = "lu";
    home = "/Users/lu";
    shell = pkgs.fish;
  };

  programs.fish = {
    enable = true;
    vendor = {
      completions.enable = true;
      config.enable = true;
      functions.enable = true;
    };
  };

  system.stateVersion = 5;
}
